/* client.h
 *
 * Contains prototypes and data structures for the client.
 */

#ifndef _CLIENT_H
#define _CLIENT_H


/*************
 * CONSTANTS *
 *************/

#define MOVE_UP            0
#define MOVE_DOWN          1
#define MOVE_LEFT          2
#define MOVE_RIGHT         3


/**************
 * PROTOTYPES *
 **************/

// Initializes the client and returns false if successful, otherwise true if an
// error occurred.
bool initialize();

// Performs any necessary cleanup just before the client terminates.
void cleanup();

// Redraws the map on the screen.  This does erase the screen -- it only draws
// over the map section of the screen.
void draw_map();

// Draws the map border on the screen.
void draw_map_border();

// Main function for the client.  This is called by the corba setup code in 
// corba_client.cpp.
int client_main(int argc, char *argv[], Game_var game);


#endif

